#
# spec file for package xbiff
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xbiff
Version:        1.0.5
Release:        1.3
Summary:        Utility to monitor a mailbox
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xbitmaps)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xbiff provides graphical notification of new e-mail.
It only handles mail stored in a filesystem accessible file,
not via IMAP, POP or other remote access protocols.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xbiff
%{_mandir}/man1/xbiff.1%{?ext_man}

%changelog
* Sat Jan 20 2024 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.5
  * This release adds -help & -version command line options.
    For those building for 32-bit platforms, it also enables use of the
    "large file" APIs so that it can handle mailboxes which exceed 2gb
    or which may be stored on a filesystem which uses large inode numbers
    not supported by the original 32-bit APIs.
    Since this release was generated using the new GNU autoconf 2.72, this
    also adds a --enable-year2038 configure flag which may allow a 32-bit
    build of xbiff to work with files whose timestamps are later than
    January 19, 2038, but this has not been tested.
* Fri Dec  3 2021 Dirk Müller <dmueller@suse.com>
- modernize spec file (move license to licensedir)
* Mon Jul 15 2019 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.4
  * Use _CONST_X_STRING to make libXt declare String as const char *
  * Fix -Wsign-compare warning in quit() function
  * Clarify how volume works
  * autogen.sh: use exec instead of waiting for configure to finish
  * autogen.sh: Honor NOCONFIGURE=1
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * Update configure.ac bug URL for gitlab migration
  * configure: Drop AM_MAINTAINER_MODE
  * Update README for gitlab migration
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xbiff from xorg-x11. Initial version: 1.0.3.
